CREATE OR REPLACE PROCEDURE ADD_CAT_CONSULTAS_PROCE
(COD_CON IN VARCHAR2,TIPO_CON IN VARCHAR2,ID_CLINICA IN NUMBER) IS
BEGIN
    INSERT INTO CATALOGOCITAS (NOMBRE_CITA,TIPO_CITA,ID_CLINICA)
    VALUES (NOMBRE_CITA,TIPO_CITA,ID_CLINICA);
END;

CREATE SEQUENCE CAT_CITAS_SEQUENCE
 START WITH     1
 INCREMENT BY   1
 NOCACHE
 NOCYCLE;

create or replace trigger CAT_CITAS_TRIGGER  
   before insert on "CLINICA"."CATALOGOCITAS" 
   for each row 
begin  
   if inserting then 
      if :NEW."ID_CATALOGO_CITA" is null then 
         select CAT_CITAS_SEQUENCE.nextval into :NEW."ID_CATALOGO_CITA" from dual; 
      end if; 
   end if; 
end;

describe CATALOGOCONSULTA;